Name:           eclipse-tm-terminal
Version:        4.0.0
Release:        2%{?dist}
Summary:        Terminal plugin for Eclipse

License:        EPL
URL:            https://www.eclipse.org/tm/
Source0:        http://git.eclipse.org/c/tm/org.eclipse.tm.terminal.git/snapshot/org.eclipse.tm.terminal-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  tycho-extras
BuildRequires:  eclipse-license
BuildRequires:  eclipse-cdt


%description
An integrated Eclipse View for the local command prompt (console) or 
remote hosts (SSH, Telnet, Serial).

%prep
%setup -q -n org.eclipse.tm.terminal-%{version}

#drop due to gnu.io dep not available
%pom_disable_module plugins/org.eclipse.tm.terminal.connector.serial
%pom_disable_module features/org.eclipse.tm.terminal.connector.serial.feature
%pom_disable_module features/org.eclipse.tm.terminal.connector.serial.sdk.feature
sed -i -e 's|<import feature="org.eclipse.tm.terminal.connector.serial.feature" version="4.0.0" match="greaterOrEqual"/>||g' features/org.eclipse.tm.terminal.feature/feature.xml
sed -i -e 's|<import feature="org.eclipse.tm.terminal.connector.serial.sdk.feature" version="4.0.0" match="greaterOrEqual"/>||g' features/org.eclipse.tm.terminal.sdk.feature/feature.xml
%pom_disable_module repos/org.eclipse.tm.terminal.repo

%pom_xpath_remove "pom:plugin[pom:artifactId[text()='tycho-packaging-plugin']]/pom:configuration" admin/pom-config.xml

sed -i -e "s|feature.properties,\\\|feature.properties|g" features/org.eclipse.tm.terminal.view.feature/build.properties
sed -i -e "s|p2.inf||g" features/org.eclipse.tm.terminal.view.feature/build.properties
timestamp=`date +%Y%m%d%H%M`
for b in `find -name MANIFEST.MF`; do
	sed -i -e "s|qualifier|$timestamp|g" $b
done
for b in `find -name feature.xml`; do
	sed -i -e "s|4.0.0.qualifier|4.0.0.$timestamp|g" $b
done
for b in `find -name pom.xml`; do
	sed -i -e "s|qualifier|$timestamp|g" $b
    sed -i -e "s|-SNAPSHOT|.$timestamp|g" $b
done

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles

%changelog
* Thu Jun 25 2015 Roland Grunberg <rgrunber@redhat.com> - 4.0.0-2
- Rebuild to correct auto-generated requires.

* Wed Jun 24 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-1
- Update to 4.0 final.

* Wed Jun 17 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.5.gite58c5d3
- Fix FTBFS - pom/manifest/feature qualifier misalignments.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.4.gite58c5d3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 3 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.3.gite58c5d3
- New git snapshot.

* Tue Jun 2 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.2.git4ea71eb
- Fix review comments.

* Tue Jun 2 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.1.git4ea71eb
- Initial packaging
